Bug 1123400 - Review Request: python-dumptruck - Relaxing interface to SQLite
Summary: Review Request: python-dumptruck - Relaxing interface to SQLite
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1123401
TreeView+ depends on / blocked
 
Reported: 2014-07-25 14:14 UTC by Lubomir Rintel
Modified: 2014-08-11 12:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-11 07:51:04 UTC
i: fedora-review+


Attachments (Terms of Use)

Description Lubomir Rintel 2014-07-25 14:14:19 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/python-dumptruck.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/python-dumptruck-0.1.6-1.fc20.src.rpm

Description:

DumpTruck is a document-like interface to a SQLite database.

Comment 1 Christopher Meng 2014-07-31 01:31:04 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- Package contains BR: python2-devel or python3-devel


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)". Detailed output of licensecheck:

MIT/X11 (BSD like)
------------------
dumptruck-0.1.6/dumptruck/__init__.py
dumptruck-0.1.6/dumptruck/adapters_and_converters.py
dumptruck-0.1.6/dumptruck/convert.py
dumptruck-0.1.6/dumptruck/dumptruck.py
dumptruck-0.1.6/dumptruck/removed.py
dumptruck-0.1.6/setup.py
dumptruck-0.1.6/tests.py

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python-dumptruck-0.1.6-1.fc22.noarch.rpm
          python-dumptruck-0.1.6-1.fc22.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-dumptruck
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-dumptruck (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-dumptruck:
    python-dumptruck



Source checksums
----------------
https://pypi.python.org/packages/source/d/dumptruck/dumptruck-0.1.6.tar.gz :
  CHECKSUM(SHA256) this package     : 26cb612f2e2755c10b43b3b7b8e2bb2dd164df47cf802abe377bce3812f8c5e0
  CHECKSUM(SHA256) upstream package : 26cb612f2e2755c10b43b3b7b8e2bb2dd164df47cf802abe377bce3812f8c5e0


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn python-dumptruck-0.1.6-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
1. https://fedoraproject.org/wiki/Packaging:Python#BuildRequires

2. https://fedoraproject.org/wiki/Packaging:Python#Macros

Comment 2 Lubomir Rintel 2014-08-04 09:50:26 UTC
Thank you for the review.

I can't see what's the outcome though; is there anything that's objectionable that I should address?

Comment 3 Christopher Meng 2014-08-04 10:30:01 UTC
Use versioned macro.

Use versioned BR.

Refresh the spec and I will approve them.

Comment 5 Christopher Meng 2014-08-05 10:13:03 UTC
Not enough:

%{python_sitelib} -> %{python2_sitelib}

Do this before SCM and I will watch it.

PACKAGE APPROVED.

Comment 6 Lubomir Rintel 2014-08-05 15:50:37 UTC
New Package SCM Request
=======================
Package Name: python-dumptruck
Short Description: Relaxing interface to SQLite
Upstream URL: https://pypi.python.org/pypi/dumptruck
Owners: lkundrak jtaylor
Branches: f19 f20 f21 el6

Comment 7 Gwyn Ciesla 2014-08-05 18:45:58 UTC
WARNING: fedora-review flag not set to '+'

Comment 8 Christopher Meng 2014-08-05 23:16:31 UTC
What's wrong......

Comment 9 Gwyn Ciesla 2014-08-06 10:09:23 UTC
Git done (by process-git-requests).

Comment 10 Lubomir Rintel 2014-08-06 11:15:50 UTC
Package Change Request
======================
Package Name: python-dumptruck
New Branches: epel7

Comment 11 Gwyn Ciesla 2014-08-06 11:40:21 UTC
Misformatted, no owner(s) specified.

Comment 12 Lubomir Rintel 2014-08-06 15:16:03 UTC
Package Change Request
======================
Package Name: python-dumptruck
New Branches: epel7
Owners: lkundrak jtaylor

Comment 13 Gwyn Ciesla 2014-08-06 18:47:25 UTC
Git done (by process-git-requests).

Comment 14 Lubomir Rintel 2014-08-11 07:51:04 UTC
Imported and built. Thank you!

Comment 15 Gwyn Ciesla 2014-08-11 12:33:46 UTC
Already exists.


Note You need to log in before you can comment on or make changes to this bug.